package com.lanyuanxiaoyao.service.configuration.entity.info;

/**
 * Flink job 信息聚合
 *
 * @author ZhangJiacheng
 * @date 2022-05-30
 */
public class SimpleTableMeta {
    private Long flinkJobId;
    private String flinkJobName;
    private String alias;
    private String schema;
    private String table;
    private Integer priority;
    private String targetTableType;
    private String targetDb;
    private String targetTable;
    private String targetHdfs;
    private String tags;
    private Integer bucketNumber;

    public SimpleTableMeta() {
    }

    public SimpleTableMeta(Long flinkJobId, String flinkJobName, String alias, String schema, String table, Integer priority, String targetTableType, String targetDb, String targetTable, String targetHdfs, String tags, Integer bucketNumber) {
        this.flinkJobId = flinkJobId;
        this.flinkJobName = flinkJobName;
        this.alias = alias;
        this.schema = schema;
        this.table = table;
        this.priority = priority;
        this.targetTableType = targetTableType;
        this.targetDb = targetDb;
        this.targetTable = targetTable;
        this.targetHdfs = targetHdfs;
        this.tags = tags;
        this.bucketNumber = bucketNumber;
    }

    public Long getFlinkJobId() {
        return flinkJobId;
    }

    public String getFlinkJobName() {
        return flinkJobName;
    }

    public String getAlias() {
        return alias;
    }

    public String getSchema() {
        return schema;
    }

    public String getTable() {
        return table;
    }

    public Integer getPriority() {
        return priority;
    }

    public String getTargetTableType() {
        return targetTableType;
    }

    public String getTargetDb() {
        return targetDb;
    }

    public String getTargetTable() {
        return targetTable;
    }

    public String getTargetHdfs() {
        return targetHdfs;
    }

    public String getTags() {
        return tags;
    }

    public Integer getBucketNumber() {
        return bucketNumber;
    }

    @Override
    public String toString() {
        return "SimpleTableMeta{" +
               "flinkJobId=" + flinkJobId +
               ", flinkJobName='" + flinkJobName + '\'' +
               ", alias='" + alias + '\'' +
               ", schema='" + schema + '\'' +
               ", table='" + table + '\'' +
               ", priority=" + priority +
               ", targetTableType='" + targetTableType + '\'' +
               ", targetDb='" + targetDb + '\'' +
               ", targetTable='" + targetTable + '\'' +
               ", targetHdfs='" + targetHdfs + '\'' +
               ", tags='" + tags + '\'' +
               ", bucketNumber=" + bucketNumber +
               '}';
    }
}
